Obtenir un média par clé de média
curl --request GET \
--url https://api.x.com/2/media/{media_key} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/media/{media_key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/media/{media_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "<string>",
"preview_image_url": "<string>",
"variants": [
{
"bit_rate": 123,
"content_type": "<string>",
"url": "<string>"
}
],
"height": 1,
"media_key": "<string>",
"width": 1
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Obtenir un média par clé de média
Récupère les détails d’un fichier média spécifique en utilisant sa clé média.
GET
/
2
/
media
/
{media_key}
Obtenir un média par clé de média
Authorizations
BearerTokenOAuth2UserTokenUserToken
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Une unique clé média. L’identifiant Media Key pour cette pièce jointe.
Pattern:
^([0-9]+)_([0-9]+)$Query Parameters
Une liste de champs Media, séparés par des virgules, à renvoyer. Les champs disponibles pour l’objet Media.
Minimum array length:
1Available options:
alt_text, duration_ms, height, media_key, non_public_metrics, organic_metrics, preview_image_url, promoted_metrics, public_metrics, type, url, variants, width Example:
[
"alt_text",
"duration_ms",
"height",
"media_key",
"non_public_metrics",
"organic_metrics",
"preview_image_url",
"promoted_metrics",
"public_metrics",
"type",
"url",
"variants",
"width"
]
Response
La requête a réussi.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Minimum array length:
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes